Name:		chromium-bsu
Version:	0.9.16.1
Release:	%mkrel 3
Summary:	Fast paced, arcade-style, top-scrolling space shooter
Group:		Games/Arcade
License:	Artistic
URL:		http://sourceforge.net/projects/chromium-bsu
Source0:	http://downloads.sf.net/chromium-bsu/%{name}-%{version}.tar.gz

BuildRequires:	imagemagick
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(quesoglc)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
Requires:	font(bitstreamverasans)
Obsoletes:	chromium < 0.9.15.1

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot 'em up game with fine graphics.

%prep
%setup -q

%build
%configure \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --with-font-name="Bitstream Vera Sans"
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48x48 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING NEWS
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.9.16.1-3.mga8
+ Revision: 1511294
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 0.9.16.1-2.mga7
+ Revision: 1296171
- Mageia 7 Mass Rebuild

* Wed Sep 14 2016 akien <akien> 0.9.16.1-1.mga6
+ Revision: 1052601
- Version 0.9.16.1

* Tue Jul 05 2016 akien <akien> 0.9.16-1.mga6
+ Revision: 1039015
- Version 0.9.16
- Build using SDL2 and SDL2_image
- Use Bitstream Vera Sans font as default
- o Use new RPM macros
  o Use pkgconfig for buildrequires
  o Misc changes in %%files and header

* Fri Feb 05 2016 umeabot <umeabot> 0.9.15.1-5.mga6
+ Revision: 938886
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.15.1-4.mga5
+ Revision: 740526
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.15.1-3.mga5
+ Revision: 678388
- Mageia 5 Mass Rebuild

* Sat Mar 08 2014 wally <wally> 0.9.15.1-2.mga5
+ Revision: 601310
- rename .spec also
- use versioned obsoletes

* Sat Mar 08 2014 akien <akien> 0.9.15.1-1.mga5
+ Revision: 601208
- Rename from chromium to chromium-bsu, as done upstream
- Rename chromium to chromium-bsu, following upstream choice
- Update to version 0.9.15.1

* Fri Oct 18 2013 umeabot <umeabot> 0.9.15-4.mga4
+ Revision: 503321
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.15-3.mga3
+ Revision: 347723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 zezinho <zezinho> 0.9.15-2.mga2
+ Revision: 204939
- rebuild for MGA2

* Sun Feb 20 2011 dmorgan <dmorgan> 0.9.15-1.mga1
+ Revision: 54664
- Remove mdv macros
- imported package chromium

